import _Object$assign from "@babel/runtime-corejs2/core-js/object/assign";
import _inheritsLoose from "../../../inheritsLoose";
import _defineProperty from "@babel/runtime-corejs2/helpers/defineProperty";
import { DShape } from './shape';
export var DText =
/*#__PURE__*/
function (_DShape) {
  _inheritsLoose(DText, _DShape);

  function DText() {
    return _DShape.apply(this, arguments) || this;
  }

  var _proto = DText.prototype;

  _proto.defaults = function defaults() {
    return _Object$assign({}, _DShape.prototype.defaults.call(this), {
      width: 40,
      height: 20
    });
  };

  _proto._getStylesheet = function _getStylesheet() {
    return "text;html=1;strokeColor=none;fillColor=none;align=center;verticalAlign=middle;whiteSpace=wrap;rounded=0;";
  };

  return DText;
}(DShape);

_defineProperty(DText, "displayName", 'DText');